package com.company.bio4.entity;

import io.jmix.core.metamodel.annotation.JmixEntity;
import io.jmix.data.DdlGeneration;
import jakarta.persistence.*;

import java.util.UUID;

@DdlGeneration(value = DdlGeneration.DbScriptGenerationMode.DISABLED)
@JmixEntity
@Table(name = "tObjects")
@Entity
public class TObject {
	@Column(name = "objIdObject", nullable = false)
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	private Integer id;

	@Column(name = "objCommonName", length = 50)
	private String objCommonName;

	@Column(name = "objGuidObject", nullable = false)
	private UUID objGuidObject;


	@JoinColumns({
			@JoinColumn(name = "objAddLkpCs1", referencedColumnName = "lkpcsObjAdd1Code", nullable = false),
			@JoinColumn(name = "objIdCollection", referencedColumnName = "lkpcsObjAdd1IdCollection", nullable = false)
	})
	@ManyToOne(fetch = FetchType.LAZY, optional = false)
	private TlkpcsObjAdd1 tlkpcsObjAdd1;


	@JoinColumns({
			@JoinColumn(name = "objIdCollection", referencedColumnName = "lkpcsObjAdd10IdCollection", updatable = false),
			@JoinColumn(name = "objAddLkpCs10", referencedColumnName = "lkpcsObjAdd10Code")
	})
	@ManyToOne(fetch = FetchType.LAZY)
	private TlkpcsObjAdd10 tlkpcsObjAdd10;

	public TlkpcsObjAdd10 getTlkpcsObjAdd10() {
		return tlkpcsObjAdd10;
	}

	public void setTlkpcsObjAdd10(TlkpcsObjAdd10 tlkpcsObjAdd10) {
		this.tlkpcsObjAdd10 = tlkpcsObjAdd10;
	}

	public TlkpcsObjAdd1 getTlkpcsObjAdd1() {
		return tlkpcsObjAdd1;
	}

	public void setTlkpcsObjAdd1(TlkpcsObjAdd1 tlkpcsObjAdd1) {
		this.tlkpcsObjAdd1 = tlkpcsObjAdd1;
	}

	public UUID getObjGuidObject() {
		return objGuidObject;
	}

	public void setObjGuidObject(UUID objGuidObject) {
		this.objGuidObject = objGuidObject;
	}

	public String getObjCommonName() {
		return objCommonName;
	}

	public void setObjCommonName(String objCommonName) {
		this.objCommonName = objCommonName;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}